Blog Maintenance Checklist – #1: Update WordPress

As with any website, it’s important to keep your blog up-to-date.  At least once a month you need to invest some time into doing some simple maintenance.  This will help keep your blog secure and give you access to any new features that are available.   Blog maintenance involves everything from software updates to monitoring your content.  The next several posts will show you some important thing you need to keep to keep your blog running smoothly.

#1: Update Your WordPress Installation

Updating your WordPress installation is the most important task on this list. If you’re running an old version of WordPress, there’s a good chance you’re running a version of WordPress that has known security vulnerabilities and is easier for hackers to get into.  Updating your WordPress install just takes a few seconds. Just make sure you update it whenever you see WordPress prompting you to do an update.

#2: Update Your Plugins

The second most important thing on your checklist is updating your themes. Though the WordPress core installation can pose a security risk, the reality is that the vast majority of WordPress hacks come from compromised plugins.

Most people don’t realize that a single compromised plugin can not only result in their entire WordPress installation getting hacked, but having every other WordPress installation on their entire server getting hacked as well.

Updating your plugins is easy. Just go to the plugins panel and click on “Update Available.”

Then click “Update Automatically” under the plugin you want to update.

Update your plugins to their newest versions whenever possible.

Powered by Subscribers Magnet

Comments

  1. says

    I had to do some looking, and see that this is for WordPress self-hosted users and not folks like me, who use WordPress.com instead (of WordPress.Org). Had me worried for a minute! ;)

    • says

      Courtney, thanks for the help here and in checklist #2. I will be coming back to faithfulbloggers. Please confirm what Jenn says – that updates are not for people (like me) at blogname.wordpress.com.

  2. says

    First time visitor. Enjoyed your security article. I just finished my research. I agree with the necessary update to your wordpress program. I might recommend deleting unused or old plugins. They rarely are updated and make your site vulnerable.

    Wayne Melton

Leave a Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>

CommentLuv badge

 Subscribe to Our Newsletter